View a markdown version of this page

GetCapacityProvider - Amazon Bedrock AgentCore Control Plane

GetCapacityProvider

Retrieves information about a capacity provider, including its status, permissions configuration, and compute configuration.

Request Syntax

GET /capacity-providers/capacityProviderId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

capacityProviderId

The unique identifier of the capacity provider.

Length Constraints: Minimum length of 12. Maximum length of 59.

Pattern: [a-zA-Z][a-zA-Z0-9_]{0,47}-[a-zA-Z0-9]{10}

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "capacityProviderArn": "string", "capacityProviderId": "string", "computeConfiguration": { ... }, "createdAt": "string", "description": "string", "lastUpdatedAt": "string", "name": "string", "permissionsConfiguration": { "capacityProviderOperatorRoleArn": "string" }, "status": "string", "statusCode": "string", "statusReason": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

capacityProviderArn

The Amazon Resource Name (ARN) of the capacity provider.

Type: String

Pattern: arn:aws(-[^:]+)?:bedrock-agentcore:[a-z0-9-]+:[0-9]{12}:capacity-provider/[a-zA-Z][a-zA-Z0-9_]{0,47}-[a-zA-Z0-9]{10}

capacityProviderId

The unique identifier of the capacity provider.

Type: String

Length Constraints: Minimum length of 12. Maximum length of 59.

Pattern: [a-zA-Z][a-zA-Z0-9_]{0,47}-[a-zA-Z0-9]{10}

computeConfiguration

The compute configuration for the capacity provider.

Type: ComputeConfiguration object

Note: This object is a Union. Only one member of this object can be specified or returned.

createdAt

The timestamp when the capacity provider was created.

Type: Timestamp

description

The description of the capacity provider, if one was provided.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 4096.

lastUpdatedAt

The timestamp when the capacity provider was last updated.

Type: Timestamp

name

The name of the capacity provider.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 48.

Pattern: [a-zA-Z][a-zA-Z0-9_]{0,47}

permissionsConfiguration

The permissions configuration for the capacity provider.

Type: PermissionsConfiguration object

status

The current status of the capacity provider. For possible values, see CapacityProviderStatus.

Type: String

Valid Values: CREATING | CREATE_FAILED | UPDATING | UPDATE_FAILED | READY | DELETING | DELETE_FAILED

statusCode

A reason code for a capacity provider that is not in the READY state. Use this code for programmatic error handling.

Type: String

Valid Values: VALIDATION_ERROR | QUOTA_EXCEEDED | THROTTLED | INTERNAL_SERVER_EXCEPTION

statusReason

A human-readable message that describes why the capacity provider is not in the READY state. Because these messages can change, use statusCode for programmatic error handling.

Type: String

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

This exception is thrown when a request is denied per access permissions

HTTP Status Code: 403

InternalServerException

This exception is thrown if there was an unexpected error during processing of request

HTTP Status Code: 500

ResourceNotFoundException

This exception is thrown when a resource referenced by the operation does not exist

HTTP Status Code: 404

ThrottlingException

This exception is thrown when the number of requests exceeds the limit

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: